Debian Bug report logs - #510730
network-manager-openvpn: /etc/dbus-1/system.d file needs alterations for fd.o #18961

version graph

Package: network-manager-openvpn; Maintainer for network-manager-openvpn is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for network-manager-openvpn is src:network-manager-openvpn.

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 4 Jan 2009 15:12:02 UTC

Severity: normal

Found in version network-manager-openvpn/0.3.2svn2855-1.1

Fixed in version network-manager-openvpn/0.7.0-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#510730; Package network-manager-openvpn. (Sun, 04 Jan 2009 15:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Soren Hansen <soren@ubuntu.com>. (Sun, 04 Jan 2009 15:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: network-manager-openvpn: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 15:08:06 +0000
[Message part 1 (text/plain, inline)]
Package: network-manager-openvpn
Version: 0.3.2svn2855-1.1
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: fdo-18961

network-manager-openvpn's D-Bus system.d config should be updated to fix
non-deterministic allow/deny for messages with no interface; the D-Bus
upstream recommendation seems to be that every allow or deny rule with
send_interface="..." should have a suitable send_destination attribute too.

In this case, this would make them redundant with the lines matching
send_destination="...", so they can just be removed (see
http://bugzilla.gnome.org/show_bug.cgi?id=563730 for the equivalent
changes to NetworkManager).

http://bugs.freedesktop.org/show_bug.cgi?id=18961 is the D-Bus bug tracking
this; there have also been discussions on the D-Bus mailing list.

Regards from the Cambridge BSP,
    Simon
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Sun, 15 Feb 2009 14:24:18 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Sun, 15 Feb 2009 14:24:18 GMT) Full text and rfc822 format available.

Message #10 received at 510730-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 510730-close@bugs.debian.org
Subject: Bug#510730: fixed in network-manager-openvpn 0.7.0-2
Date: Sun, 15 Feb 2009 14:01:09 +0000
Source: network-manager-openvpn
Source-Version: 0.7.0-2

We believe that the bug you reported is fixed in the latest version of
network-manager-openvpn, which is due to be installed in the Debian FTP archive:

network-manager-openvpn-gnome_0.7.0-2_i386.deb
  to pool/main/n/network-manager-openvpn/network-manager-openvpn-gnome_0.7.0-2_i386.deb
network-manager-openvpn_0.7.0-2.diff.gz
  to pool/main/n/network-manager-openvpn/network-manager-openvpn_0.7.0-2.diff.gz
network-manager-openvpn_0.7.0-2.dsc
  to pool/main/n/network-manager-openvpn/network-manager-openvpn_0.7.0-2.dsc
network-manager-openvpn_0.7.0-2_i386.deb
  to pool/main/n/network-manager-openvpn/network-manager-openvpn_0.7.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510730@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager-openvpn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Feb 2009 13:50:13 +0100
Source: network-manager-openvpn
Binary: network-manager-openvpn network-manager-openvpn-gnome
Architecture: source i386
Version: 0.7.0-2
Distribution: experimental
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 network-manager-openvpn - network management framework (OpenVPN plugin core)
 network-manager-openvpn-gnome - network management framework (OpenVPN plugin GNOME GUI)
Closes: 510730
Changes: 
 network-manager-openvpn (0.7.0-2) experimental; urgency=low
 .
   * debian/control
     - Wrap build dependencies.
     - Bump build dependency on debhelper to (>= 7).
   * debian/compat
     - Bump to debhelper v7 compat mode.
   * debian/patches/01_dbus_policy.patch
     - Remove bare send_interface. (Closes: #510730)
   * debian/rules
     - Include gnome.mk cdbs class instead of autotools.mk.
Checksums-Sha1: 
 bcc415343ca1494d6d08bdd7886a83233a23052a 1721 network-manager-openvpn_0.7.0-2.dsc
 ee7e2908066515cbbfb1e30c33771dad3db4829f 7512 network-manager-openvpn_0.7.0-2.diff.gz
 5679639c9acaa81eb2e0c4b1e842e48445d48c30 24988 network-manager-openvpn_0.7.0-2_i386.deb
 1deac9613f927fc69624529b5e58a6b34b24e8b8 121650 network-manager-openvpn-gnome_0.7.0-2_i386.deb
Checksums-Sha256: 
 fae6346e7fda2c0f9ba7e097379bd1ca2172ba878ce9ac7fa18e31f34fe6d0b4 1721 network-manager-openvpn_0.7.0-2.dsc
 56f29ddfac8b7640105ea8143132768265f7fe6382dcb656610e15dee549882a 7512 network-manager-openvpn_0.7.0-2.diff.gz
 18fd0d8c83c476cbba71aeff2bc171fc92add60f76a9964331a7397cff10be70 24988 network-manager-openvpn_0.7.0-2_i386.deb
 9628b76e974cc0e336ef174c25ab2a06f9a7eead95bf925acaa3db1b11504b68 121650 network-manager-openvpn-gnome_0.7.0-2_i386.deb
Files: 
 c258778a482efc430408212379be1e4b 1721 net optional network-manager-openvpn_0.7.0-2.dsc
 44552afe37f0744c3e343f012aa99e73 7512 net optional network-manager-openvpn_0.7.0-2.diff.gz
 84bbed5660925153e0f02ae0f288fea7 24988 net optional network-manager-openvpn_0.7.0-2_i386.deb
 4f4a11ba929f57469e879832ce99090e 121650 net optional network-manager-openvpn-gnome_0.7.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmWyS8ACgkQh7PER70FhVR/FQCdEeXpttSZMiac8b3kcF/2fKKw
+O0An2axYoL53AFwd8icphw9KNDtT+hk
=ROGI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 May 2009 07:29:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:57:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.